Subject: Re: vagrant in jessie is not compatible with virtualbox from jessie-backports

From: Antonio Terceiro <[email-masked]>
Date: Sat, 18 Feb 2017 12:39:53 -0200

Control: severity -1 wishlist
Control: tag -1 + wontfix

On Tue, 23 Feb 2016 21:16:46 +0000 [email-masked] wrote:
> Package: vagrant
> Version: 1.6.5+dfsg1-2
> Severity: important
> 
> Dear Maintainer,
> 
> I have a Debian Jessie system here with backports enabled.
> The version of virtualbox I get from jessie-backports is 5.0,
>   which isn't compatible with vagrant 1.6:
> 
> > % vagrant status
> > The provider 'virtualbox' that was requested to back the machine
> > 'default' is reporting that it isn't usable on this system. The
> > reason is shown below:
> > Vagrant has detected that you have a version of VirtualBox installed
> > that is not supported. Please install one of the supported versions
> > listed below to use Vagrant:
> > 4.0, 4.1, 4.2, 4.3
> 
> 
> Please consider uploading a backport which supports VirtualBox 5.
> Having that version information in the package's dependencies/suggestions
>   would also be helpful, but I'm unsure how to do so properly.

Sorry but this won't be possible at the moment.

Also note that virtualbox seems to not be supportable in Debian
(#794466). I personally have not been using virtualbox for a long time,
and that is why I uploaded and maintain the vagrant-lxc and
vagrant-libvirt providers, which work well enough for me.

So unless someone else steps up to work on such a backport, it is not
happening.